/*
 * bitmap.h
 *
 *  Created on: 2010/03/03
 *      Author: Choi Kyun
 */

#ifndef BITMAP_H_
#define BITMAP_H_

#include "type.h"

#ifdef GLOBAL_VALUE_DEFINE
#define GLOBAL
#define GLOBAL_VAL(v) = (v)
#else
#define GLOBAL extern
#define GLOBAL_VAL(v)
#endif

void clear_screen( void );
void disp_screen( void );
void draw_bitmap( int x, int y, int width, UInt8 *data );
void set_bitmap( int x, int y, int width, UInt16 *data );

// XN[
#define SCREEN_WIDTH 128 // 28 + 72 + 28 dot
#define SCREEN_HEIGHT 48 // 8 + 32 + 8 dot
#define SCREEN_WIDTH_BLANK 28
#define SCREEN_HEIGHT_BLANK 8

#define LCD_WIDTH 72
#define LCD_HEIGHT 32

//VRAM̃AhX
#define VRAM_BASE (0x80000)
//VRAM̉oCg
#define LINE_BYTES (0x100)

/////////////////////////////////////////////////

//zVRAM
GLOBAL UInt32 _vram[SCREEN_WIDTH * ( SCREEN_HEIGHT / 8 ) / 4 ];

#endif /* BITMAP_H_ */
