 /***********************************************************************
 *                                                                      *
 * DASH ver 1.00                                        		*
 * 2010/03/01 	start                                                   *
 *                                                                      *
 ***********************************************************************/
#include <libstdio.h>
#include <stdlib.h>
#include "s1c17702.h"
#include "osc.h"
#include "lcd.h"
#include "init.h"
#include "key.h"
#include "game.h"


//vg^Cv
void init_hardware(void);
void randomize(void);
int main(void);



/************************************************
 *   C
 ***********************************************/
int
main(void)
{
  _init_lib();//WCu
  init_key();//L[

  _game_state.mode = GM_TITLE;//܂̓^Cg
  init_title();

  init_hardware();//n[hEFA

  get_key();//1ǂ

  //main loop
  while(1)
    {
    };

  return 0;
}



/************************************************
 *   n[hEFA
 ***********************************************/
void
init_hardware(void)
{

  ////e평
  debugModeMisc(MISC_O1DBG_STOP);  //misc stop in debug mode
  controlPsc(PSC_PRUN_RUN);        //prescaler run
  debugModePsc(PSC_PRUND_STOP);    //prescaler stop in debug mode
  setClockGear(CLG_CCLKGR_1);      //set clock gear *defalt=0x0
  controlClg(CLG_PCLKEN_ENA);      //run clg

  //IOSC->OSC3@NbN؂ւ
  SET_OSC3_WAIT_CYCLE(OSC3_WAIT_CYCLE_256);
  changeSysClkIoscTo3();

  /////////////////////////////////////////////////////////////////// initializes key port
  //
  setPinDirection( PORT0, 6, DIR_IN );
  setPinDirection( PORT0, 7, DIR_IN );
  //vAbvOFF
//  setPullUpOFF( PORT0, 6 );
//  setPullUpOFF( PORT0, 7 );
  //`^O 1ms-2ms
  setAntiChattering( PORT0, FILTER_1ms );

  /////////////////////////////////////////////////////////////////// initializes port LED
  //@27p
  setPinDirection( PORT2, 7, DIR_OUT );
  P2_OUT |= PIN_7;// off

  /////////////////////////////////////////////////////////////////// initializes 16bit timer
  // [hJE^
  T16_TR0_TR = 0xffff;
  // JEgJn
  T16_CTL0_PRUN = 1;

  /////////////////////////////////////////////////////////////////// initializes LCD
  initLcdPower( LCD_PWR_BOOSTER_OFF, LCD_HEAVY_PROTECT_OFF );
  //64Hz?
  startLcdClk( LCD_CLK_SELECT_HSCLK, LCD_CLK_DIV_256 );
  //f[eBARgXg
  initLcd( LCD_DUTY_32, LCD_CONTRAST_LV_11 );
  //REZOg]
  reverseLcdSeg();
  reverseLcdCom();

  lcdOn();

  // LCD荞݃X^[g
  initLcdInt( 1 );//荞݃x
  startLcdInt();
}

